classification
Title: os.statvfs lacks f_fsid
Type: enhancement Stage: resolved
Components: Library (Lib) Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fdrake, gscrivano, martin.panter
Priority: normal Keywords: patch

Created on 2017-11-26 16:17 by gscrivano, last changed 2017-12-14 23:23 by fdrake. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4571 merged gscrivano, 2017-11-26 16:19
Messages (5)
msg307007 - (view) Author: Giuseppe Scrivano (gscrivano) * Date: 2017-11-26 16:17
the os.statvfs() function doesn't return f_fsid.  The POSIX definition of statvfs() has f_fsid:

http://pubs.opengroup.org/onlinepubs/009604599/basedefs/sys/statvfs.h.html
msg307021 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2017-11-26 22:09
The doc string for the result object, and the main Python 2 documentation, both say that the result is a 10-tuple. So perhaps any new field should only be an attribute, and the tuple should stay the same size, to maintain compatibility. This was done in other cases, e.g. struct_time and stat_result.
msg308292 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2017-12-14 12:23
I think Giuseppe's patch is good, but there's a Windows failure on AppVeyor, so I'm a little wary. It doesn't look related, but I haven't looked at Python on Windows since... 2001, maybe?
msg308342 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2017-12-14 22:46
New changeset 96a5e50a5de3683b2afd6d680c7ecc4b525986f6 by Fred Drake (Giuseppe Scrivano) in branch 'master':
bpo-32143: add f_fsid to os.statvfs() (#4571)
https://github.com/python/cpython/commit/96a5e50a5de3683b2afd6d680c7ecc4b525986f6
msg308344 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2017-12-14 23:23
This has landed on master and will be part of Python 3.7.
History
Date User Action Args
2017-12-14 23:23:55fdrakesetstatus: open -> closed
resolution: fixed
messages: + msg308344

stage: patch review -> resolved
2017-12-14 22:46:49fdrakesetmessages: + msg308342
2017-12-14 12:23:17fdrakesetmessages: + msg308292
2017-12-13 22:59:01fdrakesetnosy: + fdrake
2017-11-26 22:09:03martin.pantersetnosy: + martin.panter
messages: + msg307021
2017-11-26 16:19:17gscrivanosetkeywords: + patch
stage: patch review
pull_requests: + pull_request4499
2017-11-26 16:17:33gscrivanocreate